ESRIMultiPointRecord (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.shape
Class ESRIMultiPointRecord

    java.lang.Object
      com.bbn.openmap.dataAccess.shape.ShapeUtils
          com.bbn.openmap.layer.shape.ESRIRecord
              com.bbn.openmap.layer.shape.ESRIMultiPointRecord

All Implemented Interfaces:
  ShapeConstants

    public class ESRIMultiPointRecord

extends ESRIRecord

This is a skeleton of the MultiPoint record type. No methods are implemented.

## To Do

- Implement the methods of this class.

Version:
  $Revision: 1.4 $ $Date: 2005/12/09 21:09:09 $
Author:
  Ray Tomlinson, Tom Mitchell

Field Summary

Fields inherited from class com.bbn.openmap.layer.shape.ESRIRecord
`contentLength, recordNumber`

Fields inherited from interface com.bbn.openmap.dataAccess.shape.ShapeConstants
`DBF_ATTRIBUTE, DBF_AUTOINCREMENT, DBF_BINARY, DBF_CHARACTER, DBF_DATE, DBF_DOUBLE, DBF_FLOAT, DBF_LOGICAL, DBF_LONG, DBF_MEMO, DBF_NUMERIC, DBF_OLE, DBF_TIMESTAMP, DBF_TYPE_AUTOINCREMENT, DBF_TYPE_BINARY, DBF_TYPE_CHARACTER, DBF_TYPE_DATE, DBF_TYPE_DOUBLE, DBF_TYPE_FLOAT, DBF_TYPE_LOGICAL, DBF_TYPE_LONG, DBF_TYPE_MEMO, DBF_TYPE_NUMERIC, DBF_TYPE_OLE, DBF_TYPE_TIMESTAMP, PARAM_DBF, PARAM_SHP, PARAM_SHX, SHAPE_BOUNDS_ATTRIBUTE, SHAPE_DBF_DASHPATTERN, SHAPE_DBF_DASHPHASE, SHAPE_DBF_DESCRIPTION, SHAPE_DBF_FILLCOLOR, SHAPE_DBF_INFO_ATTRIBUTE, SHAPE_DBF_LINECOLOR, SHAPE_DBF_LINEWIDTH, SHAPE_DBF_SELECTCOLOR, SHAPE_FILE_HEADER_LENGTH, SHAPE_FILE_RECORD_HEADER_LENGTH, SHAPE_INDEX_ATTRIBUTE, SHAPE_MAX_MEASURE_ATTRIBUTE, SHAPE_MAX_Z_ATTRIBUTE, SHAPE_MEASURE_ATTRIBUTE, SHAPE_MIN_MEASURE_ATTRIBUTE, SHAPE_MIN_Z_ATTRIBUTE, SHAPE_TYPE_ARC, SHAPE_TYPE_MULTIPATCH, SHAPE_TYPE_MULTIPOINT, SHAPE_TYPE_MULTIPOINTM, SHAPE_TYPE_MULTIPOINTZ, SHAPE_TYPE_NULL, SHAPE_TYPE_POINT, SHAPE_TYPE_POINTM, SHAPE_TYPE_POINTZ, SHAPE_TYPE_POLYGON, SHAPE_TYPE_POLYGONM, SHAPE_TYPE_POLYGONZ, SHAPE_TYPE_POLYLINE, SHAPE_TYPE_POLYLINEM, SHAPE_TYPE_POLYLINEZ, SHAPE_Z_ATTRIBUTE`

Constructor Summary
`ESRIMultiPointRecord(byte[] b, int off)` Constructor skeleton.

Method Summary
`OMGeometry` | `addOMGeometry(OMGeometryList list)` Generates OMGeometry and adds it to the list.
`void` | `addOMGraphics(OMGraphicList list, DrawingAttributes drawingAttributes)` Generates 2D OMGraphics and adds them to the given list.
`ESRIBoundingBox` | `getBoundingBox()` Gets this record's bounding box.
`int` | `getRecordLength()` Yields the length of this record's data portion.
`int` | `getShapeType()` Gets this record's shape type as an int.
`int` | `write(byte[] b, int off)` Writes this multipoint record to the given buffer at the given offset.

Methods inherited from class com.bbn.openmap.layer.shape.ESRIRecord
`getBinaryStoreSize, getContentLength, getRecordNumber`

Methods inherited from class com.bbn.openmap.dataAccess.shape.ShapeUtils
`getStringForType, readBEInt, readBox, readLEDouble, readLEInt, readLEInt, readLELong, readPoint, writeBEInt, writeBox, writeLEDouble, writeLEInt, writeLELong, writePoint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ESRIMultiPointRecord

    public ESRIMultiPointRecord(byte[] b,
                                int off)

  Constructor skeleton.

  Parameters:
    `b` - the buffer
    `off` - the offset

Method Detail

### addOMGraphics

    public void addOMGraphics(OMGraphicList list,
                              DrawingAttributes drawingAttributes)

  Generates 2D OMGraphics and adds them to the given list. If you are using jdk1.1.X, you'll have to comment out this method, because jdk1.1.X doesn't know about the java.awt.Stroke and java.awt.Paint interfaces.

  Specified by:
    `addOMGraphics` in class `ESRIRecord`
  Parameters:
    `list` - the graphics list
    `drawingAttributes` - Attributes for rendering.

### addOMGeometry

    public OMGeometry addOMGeometry(OMGeometryList list)

  Generates OMGeometry and adds it to the list.

  Specified by:
    `addOMGeometry` in class `ESRIRecord`
  Parameters:
    `list` - the graphics list

### getBoundingBox

    public ESRIBoundingBox getBoundingBox()

  Gets this record's bounding box.

  Specified by:
    `getBoundingBox` in class `ESRIRecord`
  Returns:
    a bounding box

### getShapeType

    public int getShapeType()

  Gets this record's shape type as an int. Shape types are enumerated on the ShapeUtils class.

  Specified by:
    `getShapeType` in class `ESRIRecord`
  Returns:
    the shape type as an int

### getRecordLength

    public int getRecordLength()

  Yields the length of this record's data portion.

  Specified by:
    `getRecordLength` in class `ESRIRecord`
  Returns:
    number of bytes equal to the size of this record's data

### write

    public int write(byte[] b,
                     int off)

  Writes this multipoint record to the given buffer at the given offset.

  Overrides:
    `write` in class `ESRIRecord`
  Parameters:
    `b` - the buffer
    `off` - the offset
  Returns:
    the number of bytes written

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details